Issue2110

classification
Title: Fix compatibility with jnr-posix 3.0
Type: Severity: normal
Components: Versions: Jython 2.7
process
Status: open Resolution: accepted
Dependencies: Superseder:
Assigned To: zyasoft Nosy List: Arfrever, fwierzbicki, zyasoft
Priority: high Keywords: patch

Created on 2014-01-12.17:49:13 by Arfrever, last changed 2014-10-06.03:22:00 by zyasoft.

Files
File name Uploaded Description Edit Remove
jython-jnr-posix-3.0.patch Arfrever, 2014-01-12.18:53:34
Messages
msg8219 (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) Date: 2014-01-12.17:49:12
Jython trunk fails to build with jnr-posix 3.0.*.
(This problem does not occur with jnr-posix 2.5.*.)

    [javac] /tmp/jython/src/org/python/modules/posix/PythonPOSIXHandler.java:21: error: PythonPOSIXHandler is not abstract and does not override abstract method error(Errno,String,String) in POSIXHandler
    [javac] public class PythonPOSIXHandler implements POSIXHandler {
msg8220 (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) Date: 2014-01-12.18:53:34
This patch fixes compilation failure. (I am not sure if methodName should be included in OSError message.)
msg8293 (view) Author: Jim Baker (zyasoft) Date: 2014-04-19.13:30:56
+1, will do the update to 3.0 for the beta 3 work
msg8356 (view) Author: Jim Baker (zyasoft) Date: 2014-05-10.05:14:43
Fixed in 7235:01460e803ef3
msg8434 (view) Author: Jim Baker (zyasoft) Date: 2014-05-18.02:50:15
So with 7256:8ceb0723b372 I have re-applied this patch, but the previous commit backed out the jar updates.

We can re-evaluate in beta 4 to see why Windows fails with those jar updates.
msg9096 (view) Author: Jim Baker (zyasoft) Date: 2014-10-06.03:22:00
Revisit with the latest release (3.0.6)
History
Date User Action Args
2014-10-06 03:22:00zyasoftsetpriority: high
resolution: fixed -> accepted
messages: + msg9096
2014-05-18 02:50:16zyasoftsetstatus: pending -> open
messages: + msg8434
2014-05-10 05:14:43zyasoftsetstatus: open -> pending
resolution: fixed
messages: + msg8356
2014-04-19 13:30:56zyasoftsetassignee: zyasoft
messages: + msg8293
nosy: + zyasoft
2014-01-12 18:53:34Arfreversetfiles: + jython-jnr-posix-3.0.patch
keywords: + patch
messages: + msg8220
2014-01-12 17:49:13Arfrevercreate